%define major		2
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libwacom
Summary:	A library to identify wacom tablets
Epoch:		1
Version:	0.4
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://sourceforge.net/projects/linuxwacom/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files
%{_datadir}/libwacom

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		Development/X11
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#-----------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog

* Tue Mar 27 2012 ovitters <ovitters> 1:0.4-1.mga2
+ Revision: 227127
- new version 0.4

* Wed Feb 08 2012 tv <tv> 1:0.3-2.mga2
+ Revision: 206402
- relax requires from library package on libwacom so that libification isn't
  defeated on next major bump
  (btw libwacom should be renamed libwacom-data)

* Wed Feb 08 2012 ovitters <ovitters> 1:0.3-1.mga2
+ Revision: 206374
- bump major to 2
- new version

* Tue Jan 17 2012 wally <wally> 1:0.2-1.mga2
+ Revision: 197417
- new version 0.2
- use source from gnome
- clean .spec a bit

* Wed Dec 21 2011 fwang <fwang> 1:0.1-2.mga2
+ Revision: 185365
- more strict req

* Wed Dec 21 2011 fwang <fwang> 1:0.1-1.mga2
+ Revision: 185359
- bump epoch so that it wont be obsoleted by installed x11-driver-input-wacom

* Wed Dec 21 2011 fwang <fwang> 0.1-1.mga2
+ Revision: 185334
- imported package libwacom

